Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.adapter.jms
Class JmsMessage

    java.lang.Object
      org.jboss.resource.adapter.jms.JmsMessage

All Implemented Interfaces:
  javax.jms.Message

Direct Known Subclasses:
  JmsBytesMessage, JmsMapMessage, JmsObjectMessage, JmsStreamMessage, JmsTextMessage

public class JmsMessage
extends Object
implements javax.jms.Message

A wrapper for a message

Version:
  $Revision: 1.1 $
Author:
  Adrian Brock

Field Summary

Fields inherited from interface javax.jms.Message
`DEFAULT_DELIVERY_MODE, DEFAULT_PRIORITY, DEFAULT_TIME_TO_LIVE`

Constructor Summary
`JmsMessage(javax.jms.Message message, JmsSession session)` Create a new wrapper

Method Summary
`void` | `acknowledge()`
`void` | `clearBody()`
`void` | `clearProperties()`
`boolean` | `equals(Object object)`
`boolean` | `getBooleanProperty(String name)`
`byte` | `getByteProperty(String name)`
`double` | `getDoubleProperty(String name)`
`float` | `getFloatProperty(String name)`
`int` | `getIntProperty(String name)`
`String` | `getJMSCorrelationID()`
`byte[]` | `getJMSCorrelationIDAsBytes()`
`int` | `getJMSDeliveryMode()`
`javax.jms.Destination` | `getJMSDestination()`
`long` | `getJMSExpiration()`
`String` | `getJMSMessageID()`
`int` | `getJMSPriority()`
`boolean` | `getJMSRedelivered()`
`javax.jms.Destination` | `getJMSReplyTo()`
`long` | `getJMSTimestamp()`
`String` | `getJMSType()`
`long` | `getLongProperty(String name)`
`Object` | `getObjectProperty(String name)`
`Enumeration` | `getPropertyNames()`
`short` | `getShortProperty(String name)`
`String` | `getStringProperty(String name)`
`int` | `hashCode()`
`boolean` | `propertyExists(String name)`
`void` | `setBooleanProperty(String name, boolean value)`
`void` | `setByteProperty(String name, byte value)`
`void` | `setDoubleProperty(String name, double value)`
`void` | `setFloatProperty(String name, float value)`
`void` | `setIntProperty(String name, int value)`
`void` | `setJMSCorrelationID(String correlationID)`
`void` | `setJMSCorrelationIDAsBytes(byte[] correlationID)`
`void` | `setJMSDeliveryMode(int deliveryMode)`
`void` | `setJMSDestination(javax.jms.Destination destination)`
`void` | `setJMSExpiration(long expiration)`
`void` | `setJMSMessageID(String id)`
`void` | `setJMSPriority(int priority)`
`void` | `setJMSRedelivered(boolean redelivered)`
`void` | `setJMSReplyTo(javax.jms.Destination replyTo)`
`void` | `setJMSTimestamp(long timestamp)`
`void` | `setJMSType(String type)`
`void` | `setLongProperty(String name, long value)`
`void` | `setObjectProperty(String name, Object value)`
`void` | `setShortProperty(String name, short value)`
`void` | `setStringProperty(String name, String value)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JmsMessage

    public JmsMessage(javax.jms.Message message,
                      JmsSession session)

  Create a new wrapper

Parameters:
  `message` - the message
  `session` - the session

Method Detail

### acknowledge

    public void acknowledge()
                     throws javax.jms.JMSException

  Specified by:
    `acknowledge` in interface `javax.jms.Message`
  Throws:
    `javax.jms.JMSException`

### clearBody

    public void clearBody()
                   throws javax.jms.JMSException

  Specified by:
    `clearBody` in interface `javax.jms.Message`
  Throws:
    `javax.jms.JMSException`

### clearProperties

    public void clearProperties()
                         throws javax.jms.JMSException

  Specified by:
    `clearProperties` in interface `javax.jms.Message`
  Throws:
    `javax.jms.JMSException`

### getBooleanProperty

    public boolean getBooleanProperty(String name)
                               throws javax.jms.JMSException

  Specified by:
    `getBooleanProperty` in interface `javax.jms.Message`
  Throws:
    `javax.jms.JMSException`

### getByteProperty

    public byte getByteProperty(String name)
                         throws javax.jms.JMSException

  Specified by:
    `getByteProperty` in interface `javax.jms.Message`
  Throws:
    `javax.jms.JMSException`

### getDoubleProperty

    public double getDoubleProperty(String name)
                             throws javax.jms.JMSException

  Specified by:
    `getDoubleProperty` in interface `javax.jms.Message`
  Throws:
    `javax.jms.JMSException`

### getFloatProperty

    public float getFloatProperty(String name)
                           throws javax.jms.JMSException

  Specified by:
    `getFloatProperty` in interface `javax.jms.Message`
  Throws:
    `javax.jms.JMSException`

### getIntProperty

    public int getIntProperty(String name)
                       throws javax.jms.JMSException

  Specified by:
    `getIntProperty` in interface `javax.jms.Message`
  Throws:
    `javax.jms.JMSException`

### getJMSCorrelationID

    public String getJMSCorrelationID()
                               throws javax.jms.JMSException

  Specified by:
    `getJMSCorrelationID` in interface `javax.jms.Message`
  Throws:
    `javax.jms.JMSException`

### getJMSCorrelationIDAsBytes

    public byte[] getJMSCorrelationIDAsBytes()
                                      throws javax.jms.JMSException

  Specified by:
    `getJMSCorrelationIDAsBytes` in interface `javax.jms.Message`
  Throws:
    `javax.jms.JMSException`

### getJMSDeliveryMode

    public int getJMSDeliveryMode()
                           throws javax.jms.JMSException

  Specified by:
    `getJMSDeliveryMode` in interface `javax.jms.Message`
  Throws:
    `javax.jms.JMSException`

### getJMSDestination

    public javax.jms.Destination getJMSDestination()
                                            throws javax.jms.JMSException

  Specified by:
    `getJMSDestination` in interface `javax.jms.Message`
  Throws:
    `javax.jms.JMSException`

### getJMSExpiration

    public long getJMSExpiration()
                          throws javax.jms.JMSException

  Specified by:
    `getJMSExpiration` in interface `javax.jms.Message`
  Throws:
    `javax.jms.JMSException`

### getJMSMessageID

    public String getJMSMessageID()
                           throws javax.jms.JMSException

  Specified by:
    `getJMSMessageID` in interface `javax.jms.Message`
  Throws:
    `javax.jms.JMSException`

### getJMSPriority

    public int getJMSPriority()
                       throws javax.jms.JMSException

  Specified by:
    `getJMSPriority` in interface `javax.jms.Message`
  Throws:
    `javax.jms.JMSException`

### getJMSRedelivered

    public boolean getJMSRedelivered()
                              throws javax.jms.JMSException

  Specified by:
    `getJMSRedelivered` in interface `javax.jms.Message`
  Throws:
    `javax.jms.JMSException`

### getJMSReplyTo

    public javax.jms.Destination getJMSReplyTo()
                                        throws javax.jms.JMSException

  Specified by:
    `getJMSReplyTo` in interface `javax.jms.Message`
  Throws:
    `javax.jms.JMSException`

### getJMSTimestamp

    public long getJMSTimestamp()
                         throws javax.jms.JMSException

  Specified by:
    `getJMSTimestamp` in interface `javax.jms.Message`
  Throws:
    `javax.jms.JMSException`

### getJMSType

    public String getJMSType()
                      throws javax.jms.JMSException

  Specified by:
    `getJMSType` in interface `javax.jms.Message`
  Throws:
    `javax.jms.JMSException`

### getLongProperty

    public long getLongProperty(String name)
                         throws javax.jms.JMSException

  Specified by:
    `getLongProperty` in interface `javax.jms.Message`
  Throws:
    `javax.jms.JMSException`

### getObjectProperty

    public Object getObjectProperty(String name)
                             throws javax.jms.JMSException

  Specified by:
    `getObjectProperty` in interface `javax.jms.Message`
  Throws:
    `javax.jms.JMSException`

### getPropertyNames

    public Enumeration getPropertyNames()
                                 throws javax.jms.JMSException

  Specified by:
    `getPropertyNames` in interface `javax.jms.Message`
  Throws:
    `javax.jms.JMSException`

### getShortProperty

    public short getShortProperty(String name)
                           throws javax.jms.JMSException

  Specified by:
    `getShortProperty` in interface `javax.jms.Message`
  Throws:
    `javax.jms.JMSException`

### getStringProperty

    public String getStringProperty(String name)
                             throws javax.jms.JMSException

  Specified by:
    `getStringProperty` in interface `javax.jms.Message`
  Throws:
    `javax.jms.JMSException`

### propertyExists

    public boolean propertyExists(String name)
                           throws javax.jms.JMSException

  Specified by:
    `propertyExists` in interface `javax.jms.Message`
  Throws:
    `javax.jms.JMSException`

### setBooleanProperty

    public void setBooleanProperty(String name,
                                   boolean value)
                            throws javax.jms.JMSException

  Specified by:
    `setBooleanProperty` in interface `javax.jms.Message`
  Throws:
    `javax.jms.JMSException`

### setByteProperty

    public void setByteProperty(String name,
                                byte value)
                         throws javax.jms.JMSException

  Specified by:
    `setByteProperty` in interface `javax.jms.Message`
  Throws:
    `javax.jms.JMSException`

### setDoubleProperty

    public void setDoubleProperty(String name,
                                  double value)
                           throws javax.jms.JMSException

  Specified by:
    `setDoubleProperty` in interface `javax.jms.Message`
  Throws:
    `javax.jms.JMSException`

### setFloatProperty

    public void setFloatProperty(String name,
                                 float value)
                          throws javax.jms.JMSException

  Specified by:
    `setFloatProperty` in interface `javax.jms.Message`
  Throws:
    `javax.jms.JMSException`

### setIntProperty

    public void setIntProperty(String name,
                               int value)
                        throws javax.jms.JMSException

  Specified by:
    `setIntProperty` in interface `javax.jms.Message`
  Throws:
    `javax.jms.JMSException`

### setJMSCorrelationID

    public void setJMSCorrelationID(String correlationID)
                             throws javax.jms.JMSException

  Specified by:
    `setJMSCorrelationID` in interface `javax.jms.Message`
  Throws:
    `javax.jms.JMSException`

### setJMSCorrelationIDAsBytes

    public void setJMSCorrelationIDAsBytes(byte[] correlationID)
                                    throws javax.jms.JMSException

  Specified by:
    `setJMSCorrelationIDAsBytes` in interface `javax.jms.Message`
  Throws:
    `javax.jms.JMSException`

### setJMSDeliveryMode

    public void setJMSDeliveryMode(int deliveryMode)
                            throws javax.jms.JMSException

  Specified by:
    `setJMSDeliveryMode` in interface `javax.jms.Message`
  Throws:
    `javax.jms.JMSException`

### setJMSDestination

    public void setJMSDestination(javax.jms.Destination destination)
                           throws javax.jms.JMSException

  Specified by:
    `setJMSDestination` in interface `javax.jms.Message`
  Throws:
    `javax.jms.JMSException`

### setJMSExpiration

    public void setJMSExpiration(long expiration)
                          throws javax.jms.JMSException

  Specified by:
    `setJMSExpiration` in interface `javax.jms.Message`
  Throws:
    `javax.jms.JMSException`

### setJMSMessageID

    public void setJMSMessageID(String id)
                         throws javax.jms.JMSException

  Specified by:
    `setJMSMessageID` in interface `javax.jms.Message`
  Throws:
    `javax.jms.JMSException`

### setJMSPriority

    public void setJMSPriority(int priority)
                        throws javax.jms.JMSException

  Specified by:
    `setJMSPriority` in interface `javax.jms.Message`
  Throws:
    `javax.jms.JMSException`

### setJMSRedelivered

    public void setJMSRedelivered(boolean redelivered)
                           throws javax.jms.JMSException

  Specified by:
    `setJMSRedelivered` in interface `javax.jms.Message`
  Throws:
    `javax.jms.JMSException`

### setJMSReplyTo

    public void setJMSReplyTo(javax.jms.Destination replyTo)
                       throws javax.jms.JMSException

  Specified by:
    `setJMSReplyTo` in interface `javax.jms.Message`
  Throws:
    `javax.jms.JMSException`

### setJMSTimestamp

    public void setJMSTimestamp(long timestamp)
                         throws javax.jms.JMSException

  Specified by:
    `setJMSTimestamp` in interface `javax.jms.Message`
  Throws:
    `javax.jms.JMSException`

### setJMSType

    public void setJMSType(String type)
                    throws javax.jms.JMSException

  Specified by:
    `setJMSType` in interface `javax.jms.Message`
  Throws:
    `javax.jms.JMSException`

### setLongProperty

    public void setLongProperty(String name,
                                long value)
                         throws javax.jms.JMSException

  Specified by:
    `setLongProperty` in interface `javax.jms.Message`
  Throws:
    `javax.jms.JMSException`

### setObjectProperty

    public void setObjectProperty(String name,
                                  Object value)
                           throws javax.jms.JMSException

  Specified by:
    `setObjectProperty` in interface `javax.jms.Message`
  Throws:
    `javax.jms.JMSException`

### setShortProperty

    public void setShortProperty(String name,
                                 short value)
                          throws javax.jms.JMSException

  Specified by:
    `setShortProperty` in interface `javax.jms.Message`
  Throws:
    `javax.jms.JMSException`

### setStringProperty

    public void setStringProperty(String name,
                                  String value)
                           throws javax.jms.JMSException

  Specified by:
    `setStringProperty` in interface `javax.jms.Message`
  Throws:
    `javax.jms.JMSException`

### hashCode

    public int hashCode()

### equals

    public boolean equals(Object object)

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.